package com.luticate.utils.dbo.JSONContainer;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/**
 * Created by robin on 10/21/16.
 */

public class LuJSONArrayContainer implements LuAbstractJsonContainer {
    protected JSONArray _jsonArray;

    public LuJSONArrayContainer(JSONArray jsonArray)
    {
        _jsonArray = jsonArray;
    }

    @Override
    public int getInt(Object key) throws JSONException {
        return _jsonArray.getInt((int) key);
    }

    @Override
    public String getString(Object key) throws JSONException {
        return _jsonArray.getString((int) key);
    }

    @Override
    public long getLong(Object key) throws JSONException {
        return _jsonArray.getLong((int) key);
    }

    @Override
    public double getDouble(Object key) throws JSONException {
        return _jsonArray.getDouble((int) key);
    }

    @Override
    public boolean getBoolean(Object key) throws JSONException {
        return _jsonArray.getBoolean((int) key);
    }

    @Override
    public JSONObject getJSONObject(Object key) throws JSONException {
        return _jsonArray.getJSONObject((int) key);
    }

    @Override
    public JSONArray getJSONArray(Object key) throws JSONException {
        return _jsonArray.getJSONArray((int) key);
    }

    @Override
    public boolean isNull(Object key) throws JSONException {
        return _jsonArray.isNull((int) key);
    }
}
