package com.luticate.utils;

import com.luticate.utils.dbo.LuDbo;
import com.luticate.utils.dbo.LuVoidDbo;

import org.junit.Test;

import static org.junit.Assert.*;

/**
 * Created by robin on 10/20/16.
 */

public class NameDboTest {

    @Test
    public void jsonFromFieldTest()
    {
        LuDbo dbo = new LuVoidDbo();
        assertEquals("byte", dbo.getJsonFromField("_byte"));
        assertEquals("anotherVariable", dbo.getJsonFromField("_anotherVariable"));
        assertEquals("byte", dbo.getJsonFromField("byte"));
        assertEquals("anotherVariable", dbo.getJsonFromField("anotherVariable"));
    }

    @Test
    public void fieldFromJsonTest()
    {
        LuDbo dbo = new LuVoidDbo();
        assertEquals("_byte", dbo.getFieldFromJson("byte"));
        assertEquals("_anotherVariable", dbo.getFieldFromJson("anotherVariable"));
        assertEquals("_byte", dbo.getFieldFromJson("_byte"));
        assertEquals("_anotherVariable", dbo.getFieldFromJson("_anotherVariable"));
    }
}
